petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSCN

ODE solver using the implicit Crank-Nicolson method.

### Notes

TSCN is equivalent to TSTHETA with Theta=0.5 and the "endpoint" option set. I.e.

     -ts_type theta -ts_theta_theta 0.5 -ts_theta_endpoint

### See Also

TSCreate(), TS, TSSetType(), TSBEULER, TSTHETA

### Level

beginner

### Location

src/ts/impls/implicit/theta/theta.c

### Examples

src/ts/examples/tutorials/ex31.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages